Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 276740 - sci-libs/libdap: fails to build with gcc-4.4
Summary: sci-libs/libdap: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Steve Arnold
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-07-06 10:59 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-18 18:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (libdap-3.9.2:20090706-104432.log,64.80 KB, text/plain)
2009-07-06 11:00 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-06 10:59:16 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-06 11:00:00 UTC
Created attachment 196897 [details]
Build log
Comment 2 Steve Arnold gentoo-dev 2009-07-18 18:56:02 UTC
It was a pretty tough fix...  Needed an explicit include of <cstdio>...  I even fixed a couple of nearby warnings for free, but that's all you get this time...